clang 10.0.0git

Public Attributes | Friends | List of all members
clang::serialization::ObjCCategoriesInfo Struct Reference
AST file AST constants

Describes the categories of an Objective-C class. More...

`#include "clang/Serialization/ASTBitCodes.h"`

Collaboration diagram for clang::serialization::ObjCCategoriesInfo:
[legend]

## Public Attributes
DeclID | DefinitionID
unsigned | Offset

## Friends
bool | operator< (const ObjCCategoriesInfo &X, const ObjCCategoriesInfo &Y)
bool | operator> (const ObjCCategoriesInfo &X, const ObjCCategoriesInfo &Y)
bool | operator<= (const ObjCCategoriesInfo &X, const ObjCCategoriesInfo &Y)
bool | operator>= (const ObjCCategoriesInfo &X, const ObjCCategoriesInfo &Y)

## Detailed Description

Describes the categories of an Objective-C class.

Definition at line 1932 of file ASTBitCodes.h.

## Friends And Related Function Documentation

## ◆ operator<

bool operator< | ( | const ObjCCategoriesInfo & | X,
|  | const ObjCCategoriesInfo & | Y
| ) |  |
| friend

Definition at line 1939 of file ASTBitCodes.h.

## ◆ operator<=

bool operator<= | ( | const ObjCCategoriesInfo & | X,
|  | const ObjCCategoriesInfo & | Y
| ) |  |
| friend

Definition at line 1949 of file ASTBitCodes.h.

## ◆ operator>

bool operator> | ( | const ObjCCategoriesInfo & | X,
|  | const ObjCCategoriesInfo & | Y
| ) |  |
| friend

Definition at line 1944 of file ASTBitCodes.h.

## ◆ operator>=

bool operator>= | ( | const ObjCCategoriesInfo & | X,
|  | const ObjCCategoriesInfo & | Y
| ) |  |
| friend

Definition at line 1954 of file ASTBitCodes.h.

## Member Data Documentation

## ◆ DefinitionID

DeclID clang::serialization::ObjCCategoriesInfo::DefinitionID

Definition at line 1934 of file ASTBitCodes.h.

## ◆ Offset

unsigned clang::serialization::ObjCCategoriesInfo::Offset

Definition at line 1937 of file ASTBitCodes.h.

The documentation for this struct was generated from the following file:

- include/clang/Serialization/ASTBitCodes.h